Update a company spend tier
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/company-spend-tiers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"amount": 123,
"currency": "<string>",
"isActive": true
}
'import requests
url = "https://www.ruddr.io/api/workspace/company-spend-tiers/{id}"
payload = {
"name": "<string>",
"amount": 123,
"currency": "<string>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', amount: 123, currency: '<string>', isActive: true})
};
fetch('https://www.ruddr.io/api/workspace/company-spend-tiers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d1f4a7c3-6e82-4b09-a5d8-c9e0f3b21a74",
"name": "Premium",
"amount": 75000,
"currency": "USD",
"isActive": true,
"createdAt": "2025-04-08T09:51:27.346Z"
}Company Spend Tiers
Update a company spend tier
PATCH
/
company-spend-tiers
/
{id}
Update a company spend tier
A tier used to categorize companies based on their annual spend.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The company spend tier uuid.
Body
application/json
Response
200
The unique identifier for the object.
The name of the company spend tier.
The amount of the company spend tier.
The currency code for the company spend tier.
Whether the company spend tier is active.
The timestamp when the object was created.
⌘I